# API Reference

- [Core API Reference](https://docs.convai.com/api-docs/api-reference/core-api-reference.md): Explore Convai’s Core APIs, divided into Character Crafting and Interaction APIs, to create, customize, and interact with intelligent AI characters.
- [Character Crafting APIs](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis.md): Create and configure AI characters with Convai’s Character Crafting APIs to define their personality, behavior, knowledge and more.
- [Character Base API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/character-api.md): All the relevant APIs needed to create your own intelligent AI characters with Convai.
- [Backstory API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/backstory-api.md): Learn how to use the Backstory API to create and manage character backstories, adding depth and personality to your NPCs.
- [Mindview API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/mindview-api.md): Learn how to use the Backstory API to create and manage character backstories, adding depth and personality to your NPCs.
- [Core AI Settings API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/core-ai-settings-api.md): All the relevant APIs needed to modify Core AI setting of your Convai Character.
- [Narrative Design API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/narrative-design-api.md): The page list all the APIs needed to interact Narrative Design
- [Knowledge Bank API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/knowledge-bank-api.md): All the relevant APIs needed to interact with Knowledge Bank for you AI characters with Convai.
- [Action API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/action-api.md): This page describes the Action API and how to use it.
- [Chat History API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/chat-history-api.md): All the relevant APIs needed to interact with Chat History of a session or character.
- [Chat History Delete API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/chat-history-delete-api.md): API endpoint for deleting character sessions.
- [Evaluation API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/evaluation-api.md): API to evaluate a conversation transcript based on user defined attributes (e.g. clarity of responses, courtesy, listening skills, and more).
- [Language List API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/language-list-api.md): API to retrieve the full list of languages, both public and private, available to a user.
- [Voice List API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/voice-list-api.md): API to retrieve the full list of voices, both public and private, available to a user.
- [Character List API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/character-list-api.md): API to retrieve the list of characters, created by a user.
- [Custom LLM API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/custom-llm-api.md): Manage your private LLM integrations on Convai. Register, update, or delete OpenAI-compatible custom models securely through simple API endpoints.
- [Text to Speech API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/text-to-speech-api.md): This page explains how to interact with the standalone Text-to-Speech (TTS) API to generate audio from a given transcript, using a selected voice from the available voice list.
- [Streaming Transcription API](https://docs.convai.com/api-docs/api-reference/core-api-reference/character-crafting-apis/streaming-transcription-api.md): Stream audio to Convai’s ASR engine using WebSockets and receive real-time transcriptions. Designed for low-latency, intelligent voice experiences with your AI characters.
- [Live APIs (Beta)](https://docs.convai.com/api-docs/api-reference/core-api-reference/live-apis-beta.md): Enable real-time, low-latency interaction with Convai AI characters through WebRTC-based Live APIs that support text, audio, and dynamic contextual communication.
- [Connect API](https://docs.convai.com/api-docs/api-reference/core-api-reference/live-apis-beta/connect-api.md): Establish a live chatbot session for your Convai character, enabling users to connect via audio or video and maintain conversational context.
- [Metrics](https://docs.convai.com/api-docs/api-reference/core-api-reference/live-apis-beta/metrics.md): This page explains the metrics sent to clients over the WebRTC data channel.
- [Interaction APIs](https://docs.convai.com/api-docs/api-reference/core-api-reference/interaction-apis.md): Enable real-time interaction with AI characters using Convai’s Interaction APIs for natural text and voice-based communication.
- [Interaction API (Beta)](https://docs.convai.com/api-docs/api-reference/core-api-reference/interaction-apis/interaction-api-beta.md): Enable real-time conversational AI with Convai’s Interaction API. Send text messages to your AI character and receive natural, streaming responses using Server-Sent Events (SSE).
- [Interaction API](https://docs.convai.com/api-docs/api-reference/core-api-reference/interaction-apis/interaction-api.md): This page details on how you can interact with Character.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
